%define kdeprefix /usr
%define version 0.2.2
%define kderelease 1
%define sourcedir unstable/apps/admin/

%define qtver  qt >= 1.42

%define kdename  kcrontab
Name: %{kdename}
Summary: KCrontab - a crontab editor
Version: %{version}
Release: %{kderelease}
Serial: 1
Source: ftp://ftp.kde.org:/pub/kde/%{sourcedir}/%{kdename}-%{version}.tgz
Patch0: %{kdename}-0.2.2-qtfix.patch
License: GPL
Group: Applications/System
Buildroot: /var/tmp/%{kdename}-buildroot
Requires: %{qtver} kdesupport
Prefix: %{kdeprefix}

%description
KCrontab is a nice visual interface to editing individual crontabs.  It
saves the user from having to remember what each field in a crontab
means in terms of hours, days, etc.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{kdename}
%patch0 -p1 -b .qtfix
find . -name .deps | xargs rm -fr

%build
make -f Makefile.dist
export KDEDIR=%{kdeprefix}
./configure \
	--prefix=%{kdeprefix} \
	--with-install-root=$RPM_BUILD_ROOT \
	--disable-path-check
make CXXFLAGS="$RPM_OPT_FLAGS -DNO_DEBUG"

%install
export KDEDIR=%{kdeprefix}
make install-strip prefix=$RPM_BUILD_ROOT%{kdeprefix}

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
        $RPM_BUILD_DIR/file.list.%{kdename}

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
        -e '/\/config\//s|^|%config|' >> \
        $RPM_BUILD_DIR/file.list.%{kdename}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
        $RPM_BUILD_DIR/file.list.%{kdename}

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{kdename}

%files -f ../file.list.%{kdename}

%changelog
* Tue Apr 20 1999 Preston Brown <pbrown@redhat.com>
- initial RPM for PowerTools 6.0







